
From: Jorn Engel <joern@wohnheim.fh-wedel.de>

 AS	arch/i386/boot/setup.o
/usr/src/linux-2.6.5/arch/i386/boot/setup.S: Assembler messages:
/usr/src/linux-2.6.5/arch/i386/boot/setup.S:159: Warning: value 0x37ffffff truncated to 0x37ffffff

The warning is correct, the calculated value for ramdisk_max would be
0xb7ffffff instead of 0x37ffffff.  Truncating 0xb7ffffff to 0x37ffffff
is desired behaviour, so we should do it explicitly.



---

 25-akpm/arch/i386/boot/setup.S |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/i386/boot/setup.S~ramdisk-size-warning-fix arch/i386/boot/setup.S
--- 25/arch/i386/boot/setup.S~ramdisk-size-warning-fix	Mon May  3 16:16:03 2004
+++ 25-akpm/arch/i386/boot/setup.S	Mon May  3 16:16:03 2004
@@ -156,7 +156,8 @@ cmd_line_ptr:	.long 0			# (Header versio
 					# can be located anywhere in
 					# low memory 0x10000 or higher.
 
-ramdisk_max:	.long MAXMEM-1		# (Header version 0x0203 or later)
+ramdisk_max:	.long (MAXMEM-1) & 0x7fffffff
+					# (Header version 0x0203 or later)
 					# The highest safe address for
 					# the contents of an initrd
 

_
